classification
Title: Unable to install 3.6.5 on Windows Server 2008
Type: Stage: resolved
Components: Windows Versions: Python 3.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: hpo0016, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2018-04-10 17:05 by hpo0016, last changed 2018-04-25 15:41 by hpo0016. This issue is now closed.

Messages (5)
msg315173 - (view) Author: Carl (hpo0016) Date: 2018-04-10 17:05
Hello,

I am trying to install python version 3.6.5 on a windows 2008 2008 rc2 SP1 server.

I have tired both the installer for python-3.6.5.exe and python-3.6.5-amd64.exe installers. 

Both will not run on the server either from the gui or the command line prompt with admin privileges. It appears to run but nothing happens, no response or no error is provided. Any there any other methods to install this version?
msg315178 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-04-10 19:40
I believe these are both out of support, but the installer should be showing an error still.

If you look at recently created files in %TEMP% you may see some logs that will provide more information. The best resolution however is likely to require upgrading Windows Server or using an older version of Python
msg315179 - (view) Author: Carl (hpo0016) Date: 2018-04-10 20:13
Steve,
there was no information or no log files created in %TEMP%, but you would think some kind of message dialog or log would be displayed or created. 

And I am aware of the end of life for 2008 r2 enterprise server, but this organization is still running this version for some of their servers.
msg315183 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-04-11 04:49
I more meant that because of the EOL for that version of Windows, we don't have support at all in that version of Python. So while we try to have helpful failure messages, ultimately we aren't obliged to do anything useful at all, and it sounds like that's what is happening.

You'll need to use an earlier version of Python, probably 3.4. Will that work for you?
msg315746 - (view) Author: Carl (hpo0016) Date: 2018-04-25 15:41
The Windows server 2008 is in the process of being updated to 2012. Thanks for all the feedback
History
Date User Action Args
2018-04-25 15:41:48hpo0016setstatus: open -> closed

messages: + msg315746
stage: resolved
2018-04-11 04:49:00steve.dowersetmessages: + msg315183
2018-04-10 20:13:32hpo0016setmessages: + msg315179
2018-04-10 19:40:51steve.dowersetmessages: + msg315178
2018-04-10 17:05:03hpo0016create